Agda-2.2.10: A dependently typed functional programming language and proof assistant

Agda.Syntax.Internal.Generic

# Documentation

class TermLike a where

Methods

traverseTerm :: (Term -> Term) -> a -> a

traverseTermM :: (Monad m, Applicative m) => (Term -> m Term) -> a -> m a

foldTerm :: Monoid m => (Term -> m) -> a -> m

Instances

TermLike Type |
TermLike Term |
TermLike a => TermLike [a] |
TermLike a => TermLike (Arg a) |
TermLike a => TermLike (Abs a) |
(TermLike a, TermLike b) => TermLike (a, b) |